
BHP150 | AZD 1222 - Bug #6140

Correction on EDC

20/06/2022 14:30 - Agripa Kaunda

Status: Resolved Start date: 20/06/2022

Priority: Normal Due date:

Assignee: Ame Diphoko % Done: 0%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

PID 150-041971911-5 Change initials from A.M to P.M on consent form

History

#1 - 29/06/2022 16:45 - Ame Diphoko

- Status changed from New to In Progress

#2 - 05/07/2022 17:37 - Ame Diphoko

- Status changed from In Progress to Resolved
